| Edinburgh Speech Tools Library |
--- | --- | ---
Prev | Chapter 3. Executable Programs | Next

# siod Scheme Interpreter

## Synopsis

siod [options] [input files] [-b ] [--batch ] [-i ] [--interactive ] [--pipe ] [-heap `int` " {512000}"]

siod is a command line interface to the Scheme In One Defun Scheme interpreter, as modified by CSTR for use in the Edinburgh Speech Tools Library. It is essentially festival without the speech synthesis code.

## OPTIONS

> -b | Run in batch mode (no interaction)
> --batch | Run in batch mode (no interaction)
> -i | Run in interactive mode (default)
> --interactive | Run in interactive mode (default)
> --pipe | Run in pipe mode, reading commands from stdin, but no prompt or return values are printed (default if stdin not a tty)
> -heap | `int` " {512000}" Initial size of heap

Prev | Home | Next
scfg_test Test the output of a parser | Up | bcat Binary safe version of cat